<?php
/**
 * Theme Hook Alliance hook stub list.
 *
 * @package AwesomePress
 */

/**
 * HTML <html> hook
 * Special case, useful for <DOCTYPE>, etc.
 * $awesomepress_supports[] = 'html;
 */
function awesomepress_html_before() 
{
    do_action('awesomepress_html_before');
}

/**
 * HTML <head> hooks
 *
 * $awesomepress_supports[] = 'head';
 */

/**
 * <head> top
 */
function awesomepress_head_top() 
{
    do_action('awesomepress_head_top');
}

/**
 * <head> bottom
 */
function awesomepress_head_bottom() 
{
    do_action('awesomepress_head_bottom');
}

/**
 * HTML <body> hooks
 * $awesomepress_supports[] = 'body';
 */

/**
 * <body> top
 */
function awesomepress_body_top() 
{
    do_action('awesomepress_body_top');
}

/**
 * <body> bottom
 */
function awesomepress_body_bottom() 
{
    do_action('awesomepress_body_bottom');
}

/**
 * Semantic <header> hooks
 *
 * $awesomepress_supports[] = 'header';
 */

/**
 * Header before
 */
function awesomepress_header_before() 
{
    do_action('awesomepress_header_before');
}

/**
 * Header after
 */
function awesomepress_header_after() 
{
    do_action('awesomepress_header_after');
}

/**
 * Header top
 */
function awesomepress_header_top() 
{
    do_action('awesomepress_header_top');
}

/**
 * Header bottom
 */
function awesomepress_header_bottom() 
{
    do_action('awesomepress_header_bottom');
}

/**
 * Semantic <content> hooks
 *
 * $awesomepress_supports[] = 'content';
 */

/**
 * Content before
 */
function awesomepress_content_before() 
{
    do_action('awesomepress_content_before');
}

/**
 * Content after
 */
function awesomepress_content_after() 
{
    do_action('awesomepress_content_after');
}

/**
 * Content top
 */
function awesomepress_content_top() 
{
    do_action('awesomepress_content_top');
}

/**
 * Content bottom
 */
function awesomepress_content_bottom() 
{
    do_action('awesomepress_content_bottom');
}

/**
 * Entry content after
 */
function awesomepress_entry_content_after() 
{
    do_action('awesomepress_entry_content_after');
}

/**
 * Entry content before
 */
function awesomepress_entry_content_before() 
{
    do_action('awesomepress_entry_content_before');
}

/**
 * Entry content top
 */
function awesomepress_entry_content_top() 
{
    do_action('awesomepress_entry_content_top');
}

/**
 * Entry content bottom
 */
function awesomepress_entry_content_bottom() 
{
    do_action('awesomepress_entry_content_bottom');
}

/**
 * Entry header before
 */
function awesomepress_entry_header_before() 
{
    do_action('awesomepress_entry_header_before');
}

/**
 * Entry header top
 */
function awesomepress_entry_header_top() 
{
    do_action('awesomepress_entry_header_top');
}

/**
 * Entry header bottom
 */
function awesomepress_entry_header_bottom() 
{
    do_action('awesomepress_entry_header_bottom');
}

/**
 * Entry header after
 */
function awesomepress_entry_header_after() 
{
    do_action('awesomepress_entry_header_after');
}

/**
 * AwesomePress_entry_footer
 */
function awesomepress_entry_footer() 
{
    do_action('awesomepress_entry_footer');
}

/**
 * Entry footer before
 */
function awesomepress_entry_footer_before() 
{
    do_action('awesomepress_entry_footer_before');
}

/**
 * Entry footer top
 */
function awesomepress_entry_footer_top() 
{
    do_action('awesomepress_entry_footer_top');
}

/**
 * Entry footer bottom
 */
function awesomepress_entry_footer_bottom() 
{
    do_action('awesomepress_entry_footer_bottom');
}

/**
 * Entry footer after
 */
function awesomepress_entry_footer_after() 
{
    do_action('awesomepress_entry_footer_after');
}

/**
 * Content while before
 */
function awesomepress_content_while_before() 
{
    do_action('awesomepress_content_while_before');
}

/**
 * Content while after
 */
function awesomepress_content_while_after() 
{
    do_action('awesomepress_content_while_after');
}

/**
 * Semantic <footer> hooks
 *
 * $awesomepress_supports[] = 'footer';
 */

/**
 * Footer before
 */
function awesomepress_footer_before() 
{
    do_action('awesomepress_footer_before');
}

/**
 * Footer after
 */
function awesomepress_footer_after() 
{
    do_action('awesomepress_footer_after');
}

/**
 * Footer top
 */
function awesomepress_footer_top() 
{
    do_action('awesomepress_footer_top');
}

/**
 * Footer bottom
 */
function awesomepress_footer_bottom() 
{
    do_action('awesomepress_footer_bottom');
}

/**
 * Semantic 'page-header' hooks
 *
 * $awesomepress_supports[] = 'page-header';
 */

/**
 * Page header bottom
 */
function awesomepress_page_header_bottom() 
{
    do_action('awesomepress_page_header_bottom');
}

/**
 * Page header top
 */
function awesomepress_page_header_top() 
{
    do_action('awesomepress_page_header_top');
}

/**
 * Page header before
 */
function awesomepress_page_header_before() 
{
    do_action('awesomepress_page_header_before');
}

/**
 * Page header after
 */
function awesomepress_page_header_after() 
{
    do_action('awesomepress_page_header_after');
}

/**
 * Semantic 'pagination' hooks
 *
 * $awesomepress_supports[] = 'pagination';
 */

/**
 * Pagination before
 */
function awesomepress_pagination_before() 
{
    do_action('awesomepress_pagination_before');
}

/**
 * Pagination after
 */
function awesomepress_pagination_after() 
{
    do_action('awesomepress_pagination_after');
}

/**
 * Semantic 'comments_template' hooks
 *
 * $awesomepress_supports[] = 'comments_template';
 */

/**
 * Comments template before
 */
function awesomepress_comments_template_before() 
{
    do_action('awesomepress_comments_template_before');
}

/**
 * Comments template after
 */
function awesomepress_comments_template_after() 
{
    do_action('awesomepress_comments_template_after');
}
